//////////////////////////////////////////////////////////////////////////////// 
/// Plainamp, Open source Winamp core
/// 
/// Copyright  2005  Sebastian Pipping <webmaster@hartwork.org>
/// 
/// -->  http://www.hartwork.org
/// 
/// This source code is released under the GNU General Public License (GPL).
/// See GPL.txt for details. Any non-GPL usage is strictly forbidden.
////////////////////////////////////////////////////////////////////////////////


#ifndef PA_GLOBAL_H
#define PA_GLOBAL_H



#include "ide_devcpp/Plainamp_Private.h"



#ifdef UNICODE
# define PA_UNICODE
#else
# ifdef _UNICODE
#  define PA_UNICODE
# endif
#endif


// For GetLongPathName
#if _WIN32_WINDOWS < 0x0410
# undef _WIN32_WINDOWS
# define _WIN32_WINDOWS 0x0410
#endif


#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <tchar.h>
#include <stdio.h>


#if _WIN32_IE < 0x0400
# define _WIN32_IE 0x0400
#endif
#include <commctrl.h>


#define PLAINAMP_TITLE        TEXT( FILE_DESCRIPTION )
#define PLAINAMP_VERSION      TEXT( VER_STRING )
#define PLAINAMP_LONG_TITLE   PLAINAMP_TITLE TEXT( " " ) PLAINAMP_VERSION



extern HINSTANCE g_hInstance;

extern TCHAR *  szHomeDir;
extern int      iHomeDirLen;

extern TCHAR *  szPluginDir;
extern int      iPluginDirLen;



// #define abs( a ) ( ( a < 0 ) ? -a : a )
#ifndef __min
// # define __min( a, b ) ( ( a < b ) ? a : b )
#endif
#ifndef __max
// # define __max( a, b ) ( ( a > b ) ? a : b )
#endif



// Typo help
#define UNIT      UINT
#define UINT_PRT  UINT_PTR



struct TextCompare
{
	bool operator()( const TCHAR * a, const TCHAR * b ) const
	{
		return _tcscmp( a, b ) < 0;
	}
};


#endif // PA_GLOBAL_H
